Installing MySQL 5.6 in Ubuntu 14.04 triggers removal of needed packages

So I was trying to make a fresh installation of MySQL 5.6 on Ubuntu 14.04.2 and for some reason it tried to remove needed packages, not without first complaining about some unmet dependencies....

Vagrant provision fails to execute the next script without an obvious reason why

I've created/co-opted several bash scripts to provision my guest Ubuntu 14.04 OS; the one giving me trouble right now is installing ffmpeg. When the script finishes, vagrant simply does nothing...

FFmpeg 0.6 fails to build on ubuntu 16.04

I am trying to build ffmpeg 0.6 for a project I have. I am using Ubuntu 16.04 and when I try to build it I get the following error: In file included from libavcodec/mpegvideo.h:32:0, ...

Docker opencv3 Cmake errors

I tried to use docker to build up a Python3 + OpenCV3 with ffmpeg enabled environment. Since I also want to use GPU to speed up the model, I built using NVIDIA-docker image. Here is my...

QtMultimedia on Raspbian

I tried to deploy an application Qt on Raspbian (in raspberry pi 3). Qt Creator 3.2.1 Based on Qt 5.3.2 (GCC 4.9.2, 32 bit) Debuggers: System GDB at /usr/bin/gdb/bin/gdb GDB Compiler:...

Broken apt dependency tree

I was upgrading Ubuntu 16.04 to 17.04, when some packaged failed to upgrade. This left the apt dependency in a broken state. I tried some other answers online, but I am afraid this only...

cuda 9 packages no longer required after installation

I installed CUDA 9 from the local deb but afterwards apt reports: The following packages were automatically installed and are no longer required: cuda-command-line-tools-9-0 cuda-core-9-0...

Only eglfs when cross-compiling QT static for Raspberry PI

I have cross-compiled QT static for Raspberry PI using ./configure -opengl es2 -opensource -confirm-license -release -static \ -prefix /usr/local/qt5static -hostprefix ~/raspi/qt5...

Can apt-get autoremove remove system files?

I tried to install Python 3 on my Ubuntu 16.04.4 LTS and while using apt i found this: The following packages were automatically installed and are no longer required: cabextract gcc-5-base:i386...

How to minimize an ubuntu docker image which needs only git, cron and openjdk-8-jre

Testing some docker project so after playing with alpine, I would like to use ubuntu:bionic for production. I decided to roll out my own image but the problem is that it's 600MB+ . REPOSITORY ...

build ffmpeg on ubuntu : build nasm fails

trying to build ffmpeg on ubuntu 18.10 https://trac.ffmpeg.org/wiki/CompilationGuide/Ubuntu first install dependencies sudo apt-get update -qq && sudo apt-get -y install \ autoconf \ automake...

Rails & Docker: configure bundler to run bundle install in a docker build for Rails.4.2.6?

I am having so much trouble with docker. It seems to be a pattern. I have a dockerfile which installs Node.js and Yarn from source repositories fine. I install ruby from the get-apt repositories...

ImportError: libf77blas.so.3: cannot open shared object file: No such file or directory Raspberry Pi3

I have a Raspberry Pi3 and my goal is to run several python3 scripts there as a dedicated server. So far, I have installed with pip3 the following...

How to compile FFmpeg as static (single file)

I would like to compile FFmpeg 4.1.3 as static or single file, After compiled. It's shared binary. Here is what I do Install the dependencies apt-get -y install build-essential autoconf automake...

Port 80 and Port 443 not accessible when published via `ports` in Docker

My ASP.Net Core application is able to connect to a postGres database using Docker and Docker compose successfully(please see Docker-Compose up output below). I am however not able to browse to...

Docker OpenGL support without GPU, gl error: linking with uncompiled/unspecialized shader

In order to build up a headless simulation cluster, we're working on containerization of our existing tools. Right now, the accessible server does not have any NVIDIA GPUs. One problem, that we...

Upgrade to Ubuntu 20.04 killed pip

I upgraded to Ubuntu 20.04 from 19.10 and now I cannot use pip. zeno:~$ pip --version Command 'pip' not found, but there are 18 similar ones. Python is installed: zeno:~$ python3...

PySide2 Cannot Find Qt_5.15

This Friday my PySide2 installation stopped working inside an Ubuntu 18.04 container (based on nvidia/opengl:1.0-glvnd-runtime-ubuntu18.04). I now get the following error: python3 -c "from PySide2...

How to get FFProbe to run using dotnet core as an Azure Function in Docker?

I am trying to get video details (length, height, width, and content type) from a video based on a URL. By using the nuget package https://www.nuget.org/packages/NReco.VideoInfo.LT I was able to...

Raspberry Pi 4 OBS Virtual camera

I wrote this bash file, but not working. I think RPI just 32bit and the package what I found 64bit. Do you have any idea, how to find 32bit version of the package or how can I solve the problem? I...